$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 FG_CAPSLOCK, FG_NUMLOCK, FG_SCRLOCK

      IF (FG_CAPSLOCK() .EQ. 1) THEN
         WRITE(6,*) 'CapsLock is on.'
      ELSE
         WRITE(6,*) 'CapsLock is off.'
      END IF

      IF (FG_NUMLOCK() .EQ. 1) THEN
         WRITE(6,*) 'NumLock is on.'
      ELSE
         WRITE(6,*) 'NumLock is off.'
      END IF

      IF (FG_SCRLOCK() .EQ. 1) THEN
         WRITE(6,*) 'ScrollLock is on.'
      ELSE
         WRITE(6,*) 'ScrollLock is off.'
      END IF

      STOP ' '
      END
